summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Donald Cooley2018-01-28 12:48:11 +0100
committer Willy Sudiarto Raharjo2018-01-28 12:48:11 +0100
commita2d2e78f41f9e6e56bf7ab19b66391d956ab59a1 (patch)
tree1bfd74de2a4156b4a84f603589c9550049094fb5
parent4f2fe9731006634354f9eae282a61408cf77e1d3 (diff)
downloadslackbuilds-a2d2e78f41f9e6e56bf7ab19b66391d956ab59a1.tar.gz
network/gtorrentviewer: Script cleanup.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/gtorrentviewer/README12
-rw-r--r--network/gtorrentviewer/doinst.sh1
-rw-r--r--network/gtorrentviewer/gtorrentviewer.SlackBuild34
-rw-r--r--network/gtorrentviewer/gtorrentviewer.info2
4 files changed, 26 insertions, 23 deletions
diff --git a/network/gtorrentviewer/README b/network/gtorrentviewer/README
index d2ef5269c2..1d1e56ec43 100644
--- a/network/gtorrentviewer/README
+++ b/network/gtorrentviewer/README
@@ -1,10 +1,10 @@
GTorrentViewer is a GTK2-based viewer and editor for BitTorrent meta
files. It is able to retrieve information from trackers, check files,
-show detailed information, and modify .torrent files without having to
-start downloading.
+show detailed information, and modify .torrent files without having
+to start downloading.
The purpose of GTorrentViewer is to give the ability to see and modify
-all the possible information from .torrent files without having to
-start downloading and the ability to see in real time the current
-number of seeds and peers on the torrent, so you will always know the
-status before start the download.
+all the possible information from .torrent files without having to start
+downloading and the ability to see in real time the current number of
+seeds and peers on the torrent, so you will always know the status
+before start the download.
diff --git a/network/gtorrentviewer/doinst.sh b/network/gtorrentviewer/doinst.sh
index e4e6459838..9a8ded3c60 100644
--- a/network/gtorrentviewer/doinst.sh
+++ b/network/gtorrentviewer/doinst.sh
@@ -5,4 +5,3 @@ fi
if [ -x /usr/bin/update-mime-database ]; then
/usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi
-
diff --git a/network/gtorrentviewer/gtorrentviewer.SlackBuild b/network/gtorrentviewer/gtorrentviewer.SlackBuild
index ccf7d03703..4f59f5801e 100644
--- a/network/gtorrentviewer/gtorrentviewer.SlackBuild
+++ b/network/gtorrentviewer/gtorrentviewer.SlackBuild
@@ -2,6 +2,7 @@
# Slackware build script for gtorrentviewer
+# Copyright 2018 Donald Cooley South Haven, Indiana USA
# Copyright 2010, 2012 Binh Nguyen <binhvng@gmail.com>
# All rights reserved.
#
@@ -23,13 +24,14 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=gtorrentviewer
+SRCNAM=GTorrentViewer
VERSION=${VERSION:-0.2b}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,8 +42,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -54,20 +56,20 @@ else
LIBDIRSUFFIX=""
fi
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf GTorrentViewer-$VERSION
-tar xvf $CWD/GTorrentViewer-$VERSION.tar.gz
-cd GTorrentViewer-$VERSION
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Fix building against newer cURL
sed -i 's|#include <curl/types.h>||g' src/main.c
@@ -91,19 +93,21 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --infodir=/usr/info \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL README \
+$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/network/gtorrentviewer/gtorrentviewer.info b/network/gtorrentviewer/gtorrentviewer.info
index 4df1449b62..7f3405ecb1 100644
--- a/network/gtorrentviewer/gtorrentviewer.info
+++ b/network/gtorrentviewer/gtorrentviewer.info
@@ -7,4 +7,4 @@ DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
MAINTAINER="Donald Cooley"
-EMAIL="dfc@warpmail.net"
+EMAIL="chytraeu@sdf.org"